import Environment from './environment';
declare type TempHumany = {
    _c: any[];
    [key: string]: any;
};
declare global {
    interface Window {
        humany: Environment | TempHumany;
        Humany: any;
    }
}
export declare type BootstrapOptions = {
    /**
     * Resolver function for the root element to base the bootstrapping on.
     */
    rootElementResolver?: () => HTMLElement;
};
export declare const bootstrap: ({ implementationName, widgetName, projection, }: {
    implementationName?: string | undefined;
    widgetName?: string | undefined;
    projection?: string | undefined;
}, configFn: (config: any) => void) => Promise<any>;
export {};
